% Plotter pdf for gammafordelingen og eksponentialfordelingen. Trekker
% realisasjoner og plotter histogram
clc, clear all, close all

% GAMMAFORDELING
a = 3; b = 2;
x1_max = icdf('gamma',0.995,a,b); % Bestem høyre endepunkt
x1 = linspace(0,x1_max,1000);

gamma_pdf = pdf('gamma',x1,a,b);
gamma_random = random('gamma',a,b,100,1);

% EKSPONENTIALFORDELING
beta = 0.5;
x2_max = icdf('exponential',0.995,beta); % Bestem høyre endepunkt
x2 = linspace(0,x2_max,1000);

eksponential_pdf = pdf('exponential',x2,beta);
eksponential_random = random('exponential',beta,100,1);

% Lag figur
figure(1)

subplot(2,2,1) % Øverst, venstre
plot(x1,gamma_pdf,'r-','LineWidth',2)
xlim([0 x1_max])
title('Sannsynlighetstetthetsfunksjon, {\Gamma(3,2)}')
xlabel('x')
ylabel('{f_X(x)}')

subplot(2,2,2) % Øverst, høyre
hist(gamma_random)
title('Histogram, {X \sim \Gamma(3,2)}')
xlabel('x')
ylabel('Frekvens')

subplot(2,2,3) % Nederst, venstre
plot(x2,eksponential_pdf,'r-','LineWidth',2)
xlim([0 x2_max])
title('Sannsynlighetstetthetsfordeling, {exp(0.5)}')
xlabel('x')
ylabel('{f_X(x)}')

subplot(2,2,4) % Nederst, høyre
hist(eksponential_random)
title('Histogram, {X \sim exp(0.5)}')
xlabel('x')
ylabel('Frekvens')



