% Plotter sannsynlighetsmassefordelingen og den kumulative sannsynlighetsfordelingen
% til den hypergeometriske fordelingen med parametre N, n og k
clc, clear all, close all

N = 100; n = 10; k = 45;

x = 0:10;
y1 = pdf('hypergeometric',x,N,k,n); % Evaluer sannsynlighetsmassefordelingen
y2 = cdf('hypergeometric',x,N,k,n); % Evaluer den kumulative fordelingen

figure(1) % Åpne figurvindu
subplot(1,2,1) % Del inn figuren i to paneler og velg det venstre
bar(x,y1,1) % Plott søylediagram
title('Sannsynlghetsfordeling')
shading faceted % Markerer kantene til søylene
alpha(0.5) % Gjør søylene delvis gjennomsiktige
xlim([-1 11]) % Sett grensene til utsnittet
xlabel('x')
ylabel('{P(X = x)}')

subplot(1,2,2) % Velg det andre (dvs. høyre) panelet i figuren
stairs(x,y2,'k-','LineWidth',2) % Lager "trappeplott"
title('Kumulativ sannsynlighetsfordeling')
xlabel('Antall suksesser')
ylabel('{P(X \leq x)}')
