% Lager et plott av sannsynlighetstetthetsfunksjonen til kji-kvadratfordelingen med v frihetsgrader.
% Markerer første, andre og tredje kvartil med vertikale linjer.

v = 11; N = 1000; % Antall frihetsgrader og antall punkter
x0 = 0; x_end = icdf('chisquare',0.999,v); % Endepunktene
xx = linspace(x0,x_end,N);
y = pdf('chisquare',xx,v); % Evaluer tetthetsfunksjonen

% Finn kvartilene
Q1 = icdf('chisquare',1/4,v); 
Q2 = icdf('chisquare',1/2,v);
Q3 = icdf('chisquare',3/4,v);

% Finn indeksene til elementene i xx- og y-vektorene som tilsvarer kvartilene
k1 = round(N*Q1/x_end); 
k2 = round(N*Q2/x_end); 
k3 = round(N*Q3/x_end);

figure(1), hold on % Åpne figurvindu, sett på hold for å plotte flere ting i samme figur
plot(xx,y,'b-','LineWidth',2); % Plott tetthetsfunksjonen
plot([Q1 Q1],[0 y(k1)],'b-','LineWidth',2); % Plott de rette linjene ved å spesifisere 
plot([Q2 Q2],[0 y(k2)],'b-','LineWidth',2); % koordinatene til endepunktene
plot([Q3 Q3],[0 y(k3)],'b-','LineWidth',2);

xlabel('x');
xlim([x0 x_end]); % Sett ytterkantene av utsnittet i x-retning.
