% Lag plott av pdf, cdf for normalfordeling og kji-kvadratfordeling, Trekk
% realisasjoner og lag histogram
clc, clear all, close all

% NORMALFORDELING
% Bestem start- og sluttpunkt for x-aksen
x1_start = -5; x1_end = 5;
x1 = linspace(x1_start,x1_end,1000);

% Beregn pdf, cdf og trekk realisasjoner
normal_pdf = pdf('normal',x1,0,1);
normal_cdf = cdf('normal',x1,0,1);
normal_random = random('normal',0,1,100,1);

% KJI-KVADRATFORDELING
% Bestem start- og sluttpunkt for x-aksen
x2_start = 0; x2_end = icdf('chisquare',0.995,8);
x2 = linspace(x2_start,x2_end,1000);

% Beregn pdf, cdf og trekk realisasjoner
chisquare_pdf = pdf('chisquare',x2,8);
chisquare_cdf = cdf('chisquare',x2,8);
chisquare_random = random('chisquare',8,100,1);

% Lag figur
figure(1)

% pdf for normalfordelingen
subplot(2,3,1)
plot(x1,normal_pdf,'r-','LineWidth',2)
xlim([x1_start x1_end])
title('Sannsynlighetstetthetsfunksjon, {N(0,1)}')
xlabel('x')
ylabel('{f_X(x)}')

% cdf for normalfordelingen
subplot(2,3,2)
plot(x1,normal_cdf,'b-','LineWidth',2)
xlim([x1_start x1_end])
title('Kumulativ fordeling, {N(0,1)}')
xlabel('x')
ylabel('{F_X(x)}')

% Histogram for normalfordelingen
subplot(2,3,3)
hist(normal_random)
title('Histogram, {X \sim N(0,1)}')
xlabel('x')
ylabel('Frekvens')

% pdf for kji-kvadratfordelingen
subplot(2,3,4)
plot(x2,chisquare_pdf,'r-','LineWidth',2)
xlim([x2_start x2_end])
title('Sannsynlighetstetthetsfunksjon, {\chi^2_8}')
xlabel('x')
ylabel('{f_X(x)}')

% cdf for kji-kvadratfordelingen
subplot(2,3,5)
plot(x2,chisquare_cdf,'b-','LineWidth',2)
xlim([x2_start x2_end])
title('Kumulativ fordeling, {\chi^2_8}')
xlabel('x')
ylabel('{F_X(x)}')

% Histogram for kji-kvadratfordelingen
subplot(2,3,6)
hist(chisquare_random)
title('Histogram, {X \sim \chi^2_8}')
xlabel('x')
ylabel('Frekvens')

