% Lager et plott av sannsynlighetstetthetsfunksjonen til Weibullfordelingen med parametre alfa og beta,
% og fargelegger området under grafen og til høyre for x = T.

alfa = 0.05; beta = 3; % Sett verdien til alfa og beta (som i W.M.M.Y.)
a = 1/alfa; b = beta; % Regn om til Matlabs parametrisering

t0 = 0; t_max = icdf('weibull',0.9999,a,b); % Sett grensene for intervallet det skal plottes på
N = 1000; % Antall punkter
tt = linspace(t0,t_max,N);
T = 10; % Sett verdien til T
k = round((T/t_max)*N); % Finn tilsvarende indeks i tt
y = pdf('weibull',tt,a,b); % Evaluer tetthetsfunksjonen

figure(1), hold on % Åpne figurvindu, sett på hold
plot(tt,y,'b-','LineWidth',2); % Plott tetthetsfunksjonen

% Fargelegg området innenfor polygonet med hjørner gitt ved x-koordinatene i
% den første vektoren, og y-koordinatene i den andre vektoren.
fill([T tt(k:end) t_max],[0 y(k:end) 0],'b');

xlim([t0 t_max]); % Sett grensene for utsnittet
xlabel('t');
hold off
